<app-loading *ngIf="isLoadingPage"></app-loading>
<div class="btnAcrossPageName">
  <mb-button
    mbButtonSize="MEDIUM"
    mbButtonAvailableStyle="IMPORT"
    *ngIf="objFunction.import"
    (click)="doImportData()"
    mbButtonText="{{'common.upload.upload' | translate}}"
  >
  </mb-button>
</div>

<div class="content__item content__item--border bg__content--default" (keyup.enter)="doSearch(1)">
  <search-form #searchForm [moduleName]='' (submitEvent)='doSearch(1)'></search-form>

  <div nz-row class="btn__row">
    <div nz-col nzSpan="8"></div>

    <div nz-col nzSpan="8">
      <div style="text-align: center">
        <mb-button
          class="staff__research__btn__search"
          mbButtonSize="MEDIUM"
          mbButtonAvailableStyle="SEARCH"
          (click)="doSearch(1)"
          mbButtonText="{{'staffManager.label.search' | translate}}"
        ></mb-button>
      </div>
    </div>
    <div nz-col nzSpan="8"></div>
  </div>
</div>

<div class="search__result">
    <mb-table-wrap>
        <div class='headerTableSelect' *ngIf='objFunction.approve'>
            <mb-button
                (click)='approveAll()'
                mbButtonSize='SMALL'
                mbButtonAvailableStyle='PRIMARY'
                mbButtonText="{{'staffManager.label.approveAll' | translate}}"
                [mbButtonBgColor]="isDisabledApproveAllBtn ? btnDisableColor : ''"
                [mbIsDisable]="isDisabledApproveAllBtn"
            ></mb-button>
            <mb-button
                *ngIf='selectedCheckBoxNumber > 0'
                (click)='approveFamilyRelationshipList()'
                mbButtonSize='SMALL'
                mbButtonAvailableStyle='PRIMARY'
                mbButtonText="{{'staffManager.label.approve' | translate}}"
            >
            </mb-button>
            <mb-button
                *ngIf='selectedCheckBoxNumber > 0'
                (click)='openRejectByList()'
                mbButtonSize='MEDIUM'
                mbButtonAvailableStyle='BtnCancelHasBorder'
                mbButtonText="{{'staffManager.label.reject' | translate}}"
            >
            </mb-button>
        </div>
        <div *ngIf='selectedCheckBoxNumber > 0'>
            {{'staffManager.label.selected' | translate}}:
            <div style='display: inline-block'>{{selectedCheckBoxNumber}}</div>
        </div>
        <mb-table
                  (changePageNum)='doSearch($event)'
                  [tableConfig]='tableConfig' [tableData]='searchResult'
        ></mb-table>
    </mb-table-wrap>
</div>

<app-import-common [showContent]='isImportData'
                   (onCloseModal)='doCloseImport($event)'
                   [urlApiDownloadTemp]='urlApiDownloadTemp'
                   [urlApiImport]='urlApiImport'>
</app-import-common>

<ng-template #actionTmpl let-status='status' let-draftFamilyRelationshipId='draftFamilyRelationshipId'>
    <button
        nz-button
        nz-dropdown
        [nzDropdownMenu]='menu'
        [nzTrigger]="'click'"
        [disabled]="status === CONSTANT_STATUS.IS_APPROVE"
    >
        {{'staffManager.label.operation' | translate}}
        <em nz-icon nzType='down'></em>
    </button>
    <nz-dropdown-menu #menu='nzDropdownMenu'>
        <ul nz-menu>
            <li
                *ngIf='objFunction.approve'
                nz-menu-item
                [nzDisabled]='status === CONSTANT_STATUS.IS_APPROVE'
                (click)="approveFamilyRelationship(draftFamilyRelationshipId)"
            >
                {{'staffManager.label.approve' | translate}}
            </li>
            <li
                *ngIf='objFunction.approve'
                nz-menu-item
                (click)="openRejectById(draftFamilyRelationshipId)"
                [nzDisabled]='status === CONSTANT_STATUS.IS_APPROVE || status === CONSTANT_STATUS.IS_NOT_APPROVE'
            >
                {{'staffManager.label.isNotApprove' | translate}}
            </li>
            <li nz-menu-item [nzDisabled]='status === CONSTANT_STATUS.IS_APPROVE'
                *ngIf='objFunction.delete'
                (click)="confirm(draftFamilyRelationshipId)"
            >
                {{'staffManager.table.action.delete' | translate}}
            </li>
        </ul>
    </nz-dropdown-menu>
</ng-template>

<ng-template #flagStatusTmpl let-flagStatus='flagStatus'>
    <nz-tag [nzColor]="'magenta'" *ngIf='flagStatus === CONSTANT_FLAG_STATUS.RETIRED || !flagStatus'>{{ getFlagStatus(flagStatus ?? CONSTANT_FLAG_STATUS.RETIRED)}}</nz-tag>
    <nz-tag [nzColor]="'green'" *ngIf='flagStatus === CONSTANT_FLAG_STATUS.IS_WORKING'>{{ getFlagStatus(flagStatus) }}</nz-tag>
</ng-template>

<ng-template #statusTmpl let-status='status'>
    <nz-tag class='initialStatus' [nzColor]="tagInitializeColor" *ngIf='status === CONSTANT_STATUS.IS_INITIALIZATION || !status'>{{ getStatus(status ?? CONSTANT_STATUS.IS_INITIALIZATION)}}</nz-tag>
    <nz-tag class='approveStatus' [nzColor]="tagApprovedColor" *ngIf='status === CONSTANT_STATUS.IS_APPROVE'>{{ getStatus(status) }}</nz-tag>
    <nz-tag class='notApproveStatus' [nzColor]="tagNotApprovedColor" *ngIf='status === CONSTANT_STATUS.IS_NOT_APPROVE'>{{ getStatus(status) }}</nz-tag>
</ng-template>

<ng-template #selectTmpl let-status='status' let-draftFamilyRelationshipId='draftFamilyRelationshipId'>
    <label
        nz-checkbox
        (nzCheckedChange)='onCheckBoxChange($event, draftFamilyRelationshipId)'
        [ngModel]="draftFamilyRelationshipSet.has(draftFamilyRelationshipId)"
        [nzValue]="!!draftFamilyRelationshipId"
        [disabled]='status === CONSTANT_STATUS.IS_APPROVE'
    ></label>
</ng-template>

<app-reject-common
    [urlRejectById]="urlRejectById"
    [urlRejectByList]="urlRejectByList"
    [isReject]="isReject"
    [listDraftId]="listDraftId"
    [isRejectList]="isRejectList"
    [id]="id"
    (onCloseModal)="doCloseReject()"
    (resetListDraftId)="resetListDraftId()"
>
</app-reject-common>
